NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.SheetMetal.BendOptions Class Reference

Represents a Sheetmetal Bend Options class. More...

Inheritance diagram for NXOpen.Features.SheetMetal.BendOptions:
NXOpen.TaggedObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BendReliefTypeOptions { None, Square, Round }
 This enum represents the bend relief type. More...
 
enum  CornerReliefTypeOptions { None, BendOnly, BendAndFace, BendAndFaceChain }
 This enum represents the corner relief type. More...
 

Public Member Functions

unsafe void SetBendRadius (string radius)
 Sets the bend radius. More...
 
unsafe void SetBendReliefDepth (string depth)
 Sets the bend relief depth. More...
 
unsafe void SetBendReliefWidth (string width)
 Sets the bend relief width. More...
 
unsafe void SetNeutralFactor (string neutralFactor)
 Sets the neutral factor. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression BendRadius [get]
 Returns the bend radius. More...
 
unsafe NXOpen.Expression BendReliefDepth [get]
 Returns the bend relief depth. More...
 
unsafe
NXOpen.Features.SheetMetal.BendOptions.BendReliefTypeOptions 
BendReliefType [get, set]
 Returns or sets the bend relief type. More...
 
unsafe NXOpen.Expression BendReliefWidth [get]
 Returns the bend relief width. More...
 
unsafe
NXOpen.Features.SheetMetal.BendOptions.CornerReliefTypeOptions 
CornerReliefType [get, set]
 Returns or sets the corner relief type. More...
 
unsafe int DieToolId [get, set]
 Returns or sets the die tool id selected More...
 
unsafe string DieToolIdName [get, set]
 Returns or sets the die tool id string selected More...
 
unsafe bool ExtendBendRelief [get, set]
 Returns or sets the option to extend the bend relief if required. More...
 
unsafe bool IncludeReliefInWidth [get, set]
 Returns or sets the option to include the bend relief within the width. More...
 
unsafe NXOpen.Expression NeutralFactor [get]
 Returns the neutral factor. More...
 
unsafe bool OverrideToolSet [get, set]
 Returns or sets the override tool set toggle value. More...
 
unsafe int PunchToolId [get, set]
 Returns or sets the punch tool id selected More...
 
unsafe string PunchToolIdName [get, set]
 Returns or sets the punch tool id string selected More...
 
unsafe bool UseGlobalBendRadius [get, set]
 Returns or sets the Use Global Bend Radius toggle. More...
 
unsafe bool UseGlobalNeutralFactor [get, set]
 Returns or sets the Use Global Neutral Factor toggle. More...
 
unsafe bool UseGlobalReliefDepth [get, set]
 Returns or sets the Use Global Relief Depth toggle. More...
 
unsafe bool UseGlobalReliefWidth [get, set]
 Returns or sets the Use Global Relief Width toggle. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Sheetmetal Bend Options class.

Created in NX4.0.0

Member Enumeration Documentation

This enum represents the bend relief type.

Enumerator
None 

igRipBendRelief

Square 

igRectangularBendRelief

Round 

igFilletBendRelief

This enum represents the corner relief type.

Enumerator
None 
BendOnly 

igBendOnlyCornerRelief

BendAndFace 

igBendAndFaceCornerRelief

BendAndFaceChain 

igChainedCornerRelief

Member Function Documentation

unsafe void NXOpen.Features.SheetMetal.BendOptions.SetBendRadius ( string  radius)
inline

Sets the bend radius.

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.BendRadius instead.

License requirements: None.

Parameters
radius
unsafe void NXOpen.Features.SheetMetal.BendOptions.SetBendReliefDepth ( string  depth)
inline

Sets the bend relief depth.

Applicable only if NXOpen.Features.SheetMetal.BendOptions.BendReliefTypeOptions is set to a value other than Features.SheetMetal.BendOptions.BendReliefTypeOptions.None .

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.BendReliefDepth instead.

License requirements: None.

Parameters
depth
unsafe void NXOpen.Features.SheetMetal.BendOptions.SetBendReliefWidth ( string  width)
inline

Sets the bend relief width.

Applicable only if NXOpen.Features.SheetMetal.BendOptions.BendReliefTypeOptions is set to a value other than Features.SheetMetal.BendOptions.BendReliefTypeOptions.None .

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.BendReliefWidth instead.

License requirements: None.

Parameters
width
unsafe void NXOpen.Features.SheetMetal.BendOptions.SetNeutralFactor ( string  neutralFactor)
inline

Sets the neutral factor.

Created in NX4.0.0

Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.NeutralFactor instead.

License requirements: None.

Parameters
neutralFactor

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendOptions.BendRadius
get

Returns the bend radius.

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendOptions.BendReliefDepth
get

Returns the bend relief depth.

Applicable only if NXOpen.Features.SheetMetal.BendOptions.BendReliefTypeOptions is set to a value other than Features.SheetMetal.BendOptions.BendReliefTypeOptions.None .

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.BendOptions.BendReliefTypeOptions NXOpen.Features.SheetMetal.BendOptions.BendReliefType
getset

Returns or sets the bend relief type.

Specify Features.SheetMetal.BendOptions.BendReliefTypeOptions.None if you do not want a bend relief. Specify Features.SheetMetal.BendOptions.BendReliefTypeOptions.Square for a square/rectangular bend relief. Specify Features.SheetMetal.BendOptions.BendReliefTypeOptions.Round for a rounded bend relief.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendOptions.BendReliefWidth
get

Returns the bend relief width.

Applicable only if NXOpen.Features.SheetMetal.BendOptions.BendReliefTypeOptions is set to a value other than Features.SheetMetal.BendOptions.BendReliefTypeOptions.None .

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.Features.SheetMetal.BendOptions.CornerReliefTypeOptions NXOpen.Features.SheetMetal.BendOptions.CornerReliefType
getset

Returns or sets the corner relief type.

Use one of the values from NXOpen.Features.SheetMetal.BendOptions.CornerReliefTypeOptions .

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe int NXOpen.Features.SheetMetal.BendOptions.DieToolId
getset

Returns or sets the die tool id selected

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe string NXOpen.Features.SheetMetal.BendOptions.DieToolIdName
getset

Returns or sets the die tool id string selected

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.Features.SheetMetal.BendOptions.ExtendBendRelief
getset

Returns or sets the option to extend the bend relief if required.

This only applies if the bend relief type is set to a value other than Features.SheetMetal.BendOptions.BendReliefTypeOptions.None .

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Features.SheetMetal.BendOptions.IncludeReliefInWidth
getset

Returns or sets the option to include the bend relief within the width.

This only applies if the bend relief type is set to a value other than Features.SheetMetal.BendOptions.BendReliefTypeOptions.None .

Created in NX1847.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Features.SheetMetal.BendOptions.NeutralFactor
get

Returns the neutral factor.

Created in NX4.0.0

License requirements: None.

unsafe bool NXOpen.Features.SheetMetal.BendOptions.OverrideToolSet
getset

Returns or sets the override tool set toggle value.

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe int NXOpen.Features.SheetMetal.BendOptions.PunchToolId
getset

Returns or sets the punch tool id selected

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe string NXOpen.Features.SheetMetal.BendOptions.PunchToolIdName
getset

Returns or sets the punch tool id string selected

Created in NX12.0.0

License requirements to get this property: None.

License requirements to set this property: nx_sheet_metal ("NX Sheet Metal") OR adv_sheet_metal_dsgn ("ADVANCED SHEET METAL DESIGN")

unsafe bool NXOpen.Features.SheetMetal.BendOptions.UseGlobalBendRadius
getset

Returns or sets the Use Global Bend Radius toggle.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Features.SheetMetal.BendOptions.UseGlobalNeutralFactor
getset

Returns or sets the Use Global Neutral Factor toggle.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Features.SheetMetal.BendOptions.UseGlobalReliefDepth
getset

Returns or sets the Use Global Relief Depth toggle.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Features.SheetMetal.BendOptions.UseGlobalReliefWidth
getset

Returns or sets the Use Global Relief Width toggle.

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.